Redmine - Defect #2838

Swedish chars get mangled in issue when added via email
2009-02-25 16:52 - Fredrik Frodlund

Status: Closed Start date: 2009-02-25
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 0.8.1

Description
Swedish chars (A,A and O) gets replaced with [I [ and [l when added from email.

Raw sample of a mail:

MIME-Version: 1.0

From: supportform@domain.se

To: support@domain.se

Date: 23 Feb 2009 17:31:39 +0100

Subject: =?2utf-8?B?w4XDhMOWIGkgYsO2cmphdCAodGVzdCBudWltZXIgMjAp?=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

U3Z1lbnNrYSBOZWNrZW4gaSBiw7ZyamFuIGF2IHN1YmplY3QNCg0KaHROcDovL3d3dy5uzZXRy
ZWxhdGlvbnMuc2Uvc3VwceGoydCOhemVuZGVul251dHJI1IbGF0aW9ucy8wOTAYyMjMEtMT czMTM5
LWFhbylpLWJvemphdCl0ZXNOLW51bWllci0yMC8NCgOKUHIvamV jdDoga2 9udDUwWMDENC1By
aW9yaXR1ldDogS3JpdGlza3Q=

Platform version information

MySQL: 5.0.51a-3ubuntu5.4-log

Ruby: ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]
Rails: Rails 2.2.2

Redmine: Redmine 0.8.1.stable.2521

Somewhat related to #2814

Related issues:
Is duplicate of Redmine - Defect #3717: Swedish characters get replaced with ... Closed

2009-08-06

History

#1 - 2009-02-26 10:08 - Jean-Philippe Lang
- File swedish.png added

| don't have this problem. Here is what | get when running rake redmine:email:read project=redmine < email.txt
https://www.redmine.org/issues/2814

Feature #4891

AABD i barjat (test nummer 20)

Added by Jean-Philippe Lang 1 minute ago.

Status: ey Start:
Priority: Moarmal Due date:
Assigned to: - g Oy Done:
Category: Spent time:
Target version:

Resalution:

Description

Svenska tecken | bdrjan av subjact
http: /fwww netrelations.sefsupportfarenden/netrelations/000223-173139-3a0-i-borjat-test-nummer-20/

Project: kontS001
Priontet: Krbiskt

Does your database encoding properly set to UTF8 ?
#2 - 2009-02-26 10:15 - Fredrik Frodlund
| believe so.

e Default Character Set: utf8
e Default Collation: utf8_swedish_ci

This worked ok before, so | just bluntly assumed that something changed in an update. :)

#3 - 2009-02-26 10:38 - Jean-Philippe Lang

| don't see any change to the mail handler that could have affected this behaviour.
Do you know which revision was working ok for you before?

#4 - 2009-02-26 10:42 - Fredrik Frodlund

Sorry, no. It was back in the 0.7 branch.

#5 - 2009-02-26 10:53 - Fredrik Frodlund

| also noticed that the chars only gets mangled in the subject, not in the body.

#6 - 2009-03-19 08:57 - hell hunter
Fredrik Frodlund wrote:
| also noticed that the chars only gets mangled in the subject, not in the body.

Yes, | can confirm this for german "Umlaut"s in the subject. body works perfectly...
Cheers, Antonino

#7 - 2009-03-19 09:00 - Fredrik Frodlund

| just did a restart of the Ruby-application after a minor update to the latest revision (r2594) and all of a sudden, the chars didn't get mangled!
However, after about an hour the problem re-emerged again. This is really weird!

#8 - 2009-03-23 16:35 - Fredrik Frodlund

Is there any more info that | can provide that will assist in the solving of this issue?

#9 - 2009-05-18 11:27 - Fredrik Frodlund

- Status changed from New to Resolved

This seems to resolved as of r2757. :)

#10 - 2009-05-18 13:56 - Fredrik Frodlund

Seems that this was not resolved after all. It was the same situation as before (a restart of the Ruby application fixed the error temporarily).
#11 - 2009-10-06 21:46 - Kolja K.

Same problem here (0.9 trunk). After some time of running the server, non ascii chars in the subject of mail generated tickets get mangled. Please
reopen this issue.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2594
https://www.redmine.org/projects/redmine/repository/svn/revisions/2757

#12 - 2009-10-07 08:09 - Fredrik Frodlund

Kolja K. wrote:

Same problem here (0.9 trunk). After some time of running the server, non ascii chars in the subject of mail generated tickets get mangled.

Please reopen this issue.

The bug is still present and another issue was reported by me; #3717.

#13 - 2009-10-08 20:29 - Kolja K.

Update: We've switched the MySQL table encoding from swedish_latin1 to utf8 and so far everything's working.

#14 - 2009-11-28 13:19 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#15 - 2009-12-08 21:44 - Kolja K.

The problem persists, even if you switch to another table encoding. Pls reopen this issue.

#16 - 2009-12-09 09:56 - Fredrik Frodlund

Please check #3717 instead. Same issue.

#17 - 2009-12-26 13:08 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Duplicate
